import tkinter
import tkinter.ttk

class Application(tkinter.ttk.Frame):
    def __init__(self, master=None):
        super().__init__(master)
        # Обязательно указываем ширину и высоту контейнера посредством
        # опций width и height соответственно
        self.configure(width=200, height=100)
        self.pack(padx=4, pady=4)

        self.create_widgets()
        self.master.title("Пример использования Sizegrip")

    def create_widgets(self):
        lbl = tkinter.ttk.Label(self, text="Пример SizeGrip")
        lbl.grid(row=0, column=0, columnspan=2)
        sgp = tkinter.ttk.Sizegrip(self)
        sgp.grid(row=1, column=2, sticky="e, s")
        self.grid_rowconfigure (0, weight=1)
        self.grid_columnconfigure(0, weight=1)

root = tkinter.Tk()
app = Application(master=root)
root.mainloop()
